document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_21200
--- +++ @@ -14,6 +14,6 @@ # Install homebrew packages brew install brew-cask curl git htop-osx jenv lynx maven openssl rmtrash tree wget tig boot2docker docker \ - Caskroom/cask/virtualbox Caskroom/cask/xmind --with-cocoa --srgb emacs Caskroom/cask/vagrant + Caskroom/cask/virtualbox Caskroom/cask/xmind --with-coc...
bash
d_bash_21201
--- +++ @@ -28,7 +28,7 @@ if [[ ! -z "$output" ]]; then filtered_output=$({ echo "$output" | egrep -o -i \ - 'Hardware Error|I/O error|hard resetting link|DRDY ERR|Out of memory|Killed process|temperature above threshold|Possible SYN flooding|segfault|MEMORY ERROR' + 'Hardware Error|I/O error|hard rese...
bash
d_bash_21202
--- +++ @@ -2,6 +2,8 @@ name=vimrc umask 0022 + +cd ~/run_control if ! [[ -d "$name" ]]; then remote="`git config remote.origin.url`"
bash
d_bash_21203
--- +++ @@ -29,7 +29,9 @@ ceph \ libsnappy-dev \ libprotobuf-dev \ - redis-server + redis-server \ + node-gyp \ + nodejs-dev sudo rm -rf /var/lib/apt/lists/*
bash
d_bash_21204
--- +++ @@ -3,6 +3,7 @@ sudo apt-get install python2.6 python2.6-dev python3.4 python3.4-dev pip install --use-mirrors --upgrade wheel -pip install --use-mirrors --upgrade --use-wheel detox misspellings docutils "eventlet<0.16" +pip install --use-mirrors --upgrade --use-wheel detox misspellings docutils +pip inst...
bash
d_bash_21205
--- +++ @@ -6,7 +6,7 @@ alias gcob="git checkout -b" alias gc="git commit" alias gdt="git difftool" -alias gpl="git pull" +alias gpl="git pull && git submodule update --init --recursive" alias gps="git push" alias gaa="git add --all" alias gca="git commit --amend"
bash
d_bash_21206
--- +++ @@ -18,31 +18,26 @@ fi basename=$(basename $PWD) +src=moment-npm-git +dest=moment-npm cd .. -rm -rf moment-npm +rm -rf $src $dest -git clone $basename moment-npm +git clone $basename $src +mkdir $dest -cd moment-npm -git checkout $tag -rm -f **/.??* -rm -rf node_modules -rm -rf bower_components...
bash
d_bash_21207
--- +++ @@ -1,7 +1,11 @@ #!/usr/bin/env bash # Check only output Vega files and normalized Vega-Lite files for now as Travis is having problem when generating SVG -if ! git diff --word-diff=color --exit-code HEAD -- ./examples/compiled/*.vg.json +if ! git diff --word-diff=color --exit-code HEAD -- ./examples/comp...
bash
d_bash_21208
--- +++ @@ -2,13 +2,16 @@ # Clutch xcodebuild script # Credits to Tatsh +# Prefer Xcode 6 +[ -d '/Applications/Xcode6-Beta.app' ] && \ + BUILD='/Applications/Xcode6-Beta.app/Contents/Developer/usr/bin/xcodebuild' && \ + SDK='iphoneos8.0' + # Default Xcode -#BUILD=$(which xcodebuild) -SDK="iphoneos7.1" - -#...
bash
d_bash_21209
--- +++ @@ -1,10 +1,10 @@ # Installing the virtualbox guest additions VBOX_VERSION=$(cat /home/veewee/.vbox_version) cd /tmp -echo "veewee homedir" +echo "veewee homedir's contents:" ls -la /home/veewee mount -o loop /home/veewee/VBoxGuestAdditions.iso /mnt sh /mnt/VBoxLinuxAdditions.run umount /mnt -rm -rf /h...
bash
d_bash_21210
--- +++ @@ -6,7 +6,7 @@ fi sudo yum upgrade -y; -sudo yum install -y libffi-devel libssl-devel openssl-devel; +sudo yum install -y vim libffi-devel libssl-devel openssl-devel; rm -rf ~/tripleo-ci git clone https://github.com/openstack-infra/tripleo-ci.git ~/tripleo-ci
bash
d_bash_21211
--- +++ @@ -15,8 +15,8 @@ ruby \ software-properties-common -curl -o /tmp/download https://storage.googleapis.com/golang/go1.8.3.linux-amd64.tar.gz -echo "1862f4c3d3907e59b04a757cfda0ea7aa9ef39274af99a784f5be843c80c6772 /tmp/download" | sha256sum -c +curl -o /tmp/download https://storage.googleapis.com/golang...
bash
d_bash_21212
--- +++ @@ -1,20 +1,17 @@ #!/bin/ash -if [ -n "$DOCKER_USER" ] -then - for i in \ - area51/alpine \ - area51/java:serverjre-8 \ - area51/java:jre-8 \ - area51/java:jdk-8 \ - area51/docker-client:latest \ - area51/jenkins-slave:latest \ - area51/jenkins:latest \ - area51/ubuntu-dev:latest \ - area51/nexus...
bash
d_bash_21213
--- +++ @@ -27,6 +27,7 @@ function installOpenssl() { echo "$PFX Installing openssl..." brew install openssl + echo "$PFX Current openssl: $(which openssl)" echo "$PFX Current openssl version: $(openssl version)" }
bash
d_bash_21214
--- +++ @@ -19,12 +19,12 @@ ssh $SSH_LOGIN "git init --bare $GIT_ROOT/$DEPENDENCY.git" git init $PREFIX/$DEPENDENCY cd $PREFIX/$DEPENDENCY -wget $LOCATION +curl $LOCATION 2>&1 > $DEPENDENCY.tarball -$EXTRACT $DEPENDENCY* +$EXTRACT $DEPENDENCY.tarball mv $DEPENDENCY-$VERSION/* . -rm -f *.tar.xz *.tar.gz *.tar...
bash
d_bash_21215
--- +++ @@ -2,13 +2,13 @@ echo "------ Running Coverage Tests! ------" if [[ $DIST == *"py3"* ]]; then python3 setup.py install; cd tests - pip3 install coverage python-coveralls pyyaml + pip3 install coverage codecov pyyaml else python setup.py install; cd tests - pip install coverage python-co...
bash
d_bash_21216
--- +++ @@ -11,7 +11,7 @@ npm install echo "Updating bower" -npx bower update +npx bower update --allow-root echo "Pulling the plugin-specific UIs" npm run setup-serve
bash
d_bash_21217
--- +++ @@ -3,7 +3,7 @@ mds=$( gcloud deployment-manager deployments describe lustre --format json \ | jq -r '.resources[]|select(.type=="compute.v1.instance")|.name' \ | grep mds) -for id in "${mds}"; do +for id in ${mds}; do gcloud compute instances start "${id}" --zone=asia-northeast1-c done @@ ...
bash
d_bash_21218
--- +++ @@ -2,4 +2,13 @@ set -o errexit -o errtrace -o nounset -o pipefail -o xtrace -docker-compose --project-name "canvas-lms0" exec -T -e RSPEC_PROCESSES=$RSPEC_PROCESSES -e FORCE_FAILURE=$FORCE_FAILURE -e FSC_REPEAT_FACTOR=$FSC_REPEAT_FACTOR -e FSC_TESTS=$FSC_TESTS canvas bash -c 'build/new-jenkins/rspec-fla...
bash
d_bash_21219
--- +++ @@ -14,10 +14,7 @@ export BUNDLE_WITHOUT=development export BUNDLE_GEMFILE=${PWD}/Gemfile -# suites that need bower assets to work: javascript, vmdb -if [[ "$TEST_SUITE" = "javascript" ]] || [[ "$TEST_SUITE" = "vmdb" ]]; then - which bower || npm install -g bower - bower install --allow-root -F --config...
bash
d_bash_21220
--- +++ @@ -25,7 +25,7 @@ # Network #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ alias iplocal="echo `ifconfig -a | perl -nle'/(\d+\.\d+\.\d+\.\d+)/ && print $1' | sed "1 d"`"; -alias ip='dig +short myip.opendns.com @resolver1.opendns.com'; +alias ippublic='dig +short myip.opend...
bash
d_bash_21221
--- +++ @@ -11,7 +11,7 @@ sudo apt-get update; sudo apt-get install docker.io -y; -sudo groupadd docker +sudo groupadd -f docker sudo gpasswd -a ${USER} docker sudo service docker restart
bash
d_bash_21222
--- +++ @@ -20,7 +20,9 @@ cd server echo "Installing ruby dependencies" bundle install -echo "Checking ruby syntax" -ruby -c ./*.rb +echo "Checking server/ ruby files' syntax" +for i in $(echo ./*.rb); do echo $i; ruby -c $i; done +echo "Checking server/lib/bbs ruby files' syntax" +for i in $(echo ./lib/*/*.rb); d...
bash
d_bash_21223
--- +++ @@ -12,7 +12,7 @@ if [ -r ./VERSION ]; then cat ./VERSION else - tagname=$(git tag -l 'v[0-9]*' --sort=tag -i --no-column | head -n1) + tagname=$(git tag -l 'v[0-9]*' --sort=-tag -i --no-column | head -n1) tweaks=$(git rev-list --count HEAD ^$tagname) if [ "${tweaks}" = 0 ]; then tweaks=...
bash
d_bash_21224
--- +++ @@ -18,9 +18,11 @@ # $ brew update # After: # $ brew update --debug --verbose - brew() { + _brew() { set -x /usr/local/bin/brew $@ --debug --verbose set +x } + + alias brew="_brew" fi
bash
d_bash_21225
--- +++ @@ -19,8 +19,8 @@ pushd ~/ if [ ! -d ~/.vim ]; then git clone https://github.com/pivotal/vim-config.git ~/.vim + ~/.vim/bin/install fi -~/.vim/bin/install popd echo
bash
d_bash_21226
--- +++ @@ -1,7 +1,7 @@ #/usr/bin/env bash fontmake -g 'NotoSansDevanagari/NotoSansDevanagari.glyphs'\ - --mti-source='NotoSansDevanagari/NotoSansDevanagari.plist' -o 'ttf' + --mti-source='NotoSansDevanagari/NotoSansDevanagari.plist' for script in 'Ethiopic' 'Hebrew'; do - fontmake -i -g "NotoSans${scri...
bash
d_bash_21227
--- +++ @@ -17,6 +17,6 @@ cd bosh-src print_git_state -gem install bundler +gem install bundler --version 1.11.2 --no-ri --no-rdoc bundle install --local bundle exec rake --trace ci:publish_os_image_in_vm[$OPERATING_SYSTEM_NAME,$OPERATING_SYSTEM_VERSION,remote,$OS_IMAGE_S3_BUCKET_NAME,$OS_IMAGE_S3_KEY]
bash
d_bash_21228
--- +++ @@ -3,7 +3,7 @@ venv_name=venv rm -rf $venv_name virtualenv $venv_name -$venv_name/bin/pip install pyinstaller==3.1.1 +$venv_name/bin/pip install pyinstaller==3.4 $venv_name/bin/pip install . $venv_name/bin/pyinstaller -F --runtime-hook=setup/binary-hook.py setup/dusty.spec echo "Binaries can now be fou...
bash
d_bash_21229
--- +++ @@ -4,7 +4,7 @@ if [ "$COVERALLS_TOKEN" ]; then echo "Running coverage..." pub global activate dart_coveralls - pub global run dart_coveralls report --token "$COVERALLS_TOKEN" --debug test/cassowary_test.dart + pub global run dart_coveralls report --token "$COVERALLS_TOKEN" --debug test/newton_test.d...
bash
d_bash_21230
--- +++ @@ -12,6 +12,7 @@ tar -xf "clang+llvm-${LLVM_VERSION}-x86_64-linux-gnu-debian8.tar.xz" pushd clang+llvm* && sudo mkdir /tmp/llvm && sudo cp -r ./* /tmp/llvm/ sudo ln -s "/tmp/llvm/bin/llvm-config" "/usr/local/bin/${LLVM_CONFIG}" + popd popd }
bash
d_bash_21231
--- +++ @@ -3,7 +3,7 @@ setup() { echo "Configure portal api url to ${PORTAL_API_URL}" cat /var/www/html/assets/config.json.template | \ - sed "s#/portal/environments/DEFAULT#${PORTAL_API_URL}#g" > /var/www/html/assets/config.json + sed "s#http://localhost:8083/portal/environments/DEFAULT#${PORTAL_AP...
bash
d_bash_21232
--- +++ @@ -6,3 +6,5 @@ git pull sed -i -e '1i@import "../../../sass/customvars";\' scss/_variables.scss + +grunt dist
bash
d_bash_21233
--- +++ @@ -22,7 +22,7 @@ exclude_tests_file="$DIR/excluded-tests.txt" isolated_tests_file="$DIR/isolated-tests.txt" -include_tests_file="$DIR/include-tests.txt" +include_tests_file="$DIR/included-tests.txt" include_tests=(`awk 'NF && $1!~/^#/' $include_tests_file`)
bash
d_bash_21234
--- +++ @@ -1,4 +1,4 @@ #!/usr/bin/env bash -export TEMPLATE_ELASTIC_VERSION="5.6.3" +export TEMPLATE_ELASTIC_VERSION="5.6.4" export TEMPLATE_SUPPORT_DIAGNOSTICS_VERSION="6.2"
bash
d_bash_21235
--- +++ @@ -18,6 +18,7 @@ colordiff \ --side-by-side \ + -W 200 \ \ $CURRENT_FILES $POSSIBLE_FILES
bash
d_bash_21236
--- +++ @@ -15,3 +15,5 @@ ln -sf /opt/nodejs/bin/node /usr/bin/node ln -sf /opt/nodejs/bin/npm /usr/bin/npm + +npm install --global npm@3
bash
d_bash_21237
--- +++ @@ -1,5 +1,5 @@ readvar(){ - if [[ ${1} != *[a-zA-Z0-9_]* || ${1} == *[-./]* ]]; then + if [[ ${1} != *[a-zA-Z0-9_]* || ${1} == *[-./,\#]* ]]; then echo "${@}" elif [[ ${!1} && ${1} != [0-9]* ]]; then local var=${1}[@]
bash
d_bash_21238
--- +++ @@ -7,6 +7,5 @@ sudo yum install -y zip unzip echo "Installing bk elastic stack bin files" -ls -alR /tmp -chmod +x /tmp/bin/bk-* -mv /tmp/bin/bk-* /usr/local/bin +chmod +x /tmp/conf/bin/bk-* +mv /tmp/conf/bin/bk-* /usr/local/bin
bash
d_bash_21239
--- +++ @@ -2,5 +2,6 @@ # Update the box apt-get -y update >/dev/null -apt-get -y install facter linux-headers-$(uname -r) build-essential zlib1g-dev libssl-dev libreadline-gplv2-dev curl unzip >/dev/null +apt-get -y install facter curl +#linux-headers-$(uname -r) build-essential zlib1g-dev libssl-dev libreadline...
bash
d_bash_21240
--- +++ @@ -9,7 +9,13 @@ php composer.phar install # Install dependencies, if needed ./app/console app:twig:clear-cache # Clear the Twig cache -while [ ! nc mariadb 3306 -e true ] || [ -s /var/run/mysqld/mysqld.sock ]; do sleep 1; done; # Wait until MariaDB is up +if [ ! -f /var/run/mysqld/mysqld.sock ]; then + ...
bash
d_bash_21241
--- +++ @@ -8,7 +8,7 @@ SCRIPT_FULL_PATH=$(pwd) popd -CARTHAGE_GIT_ROOT=$SCRIPT_FULL_PATH/../../KeenClient-iOS +CARTHAGE_GIT_ROOT=$(cd $SCRIPT_FULL_PATH/..;pwd) CURRENT_BRANCH=$(git rev-parse --abbrev-ref HEAD)
bash
d_bash_21242
--- +++ @@ -10,8 +10,10 @@ # select the python to start with if [ -n "$1" ]; then CMD="$@" +elif [ "$(command -v mantidpythonnightly --classic)" ]; then + CMD="$(command -v mantidpythonnightly) --classic" else - CMD="$(command -v mantidpythonnightly) --classic" + CMD="$(command -v mantidpython) --cla...
bash
d_bash_21243
--- +++ @@ -1,30 +1,39 @@ #!/bin/bash display_usage() { - echo -e "Usage:\n$0" + echo -e "Usage: +$0 destdir [identifier] +Backs up recordings by doing an sql dump and tar the recordings (at /data/eyra/recordings) and \ +copying that to destdir/identifier_date/{backup.sql,recs.tgz}. +identifier is somethi...
bash
d_bash_21244
--- +++ @@ -14,6 +14,6 @@ while echo "Running"; do airflow scheduler -n 5 echo "Scheduler crashed with exit code $?. Respawning.." >&2 - date >> /tmp/airflow_scheduler_errrors.txt + date >> /tmp/airflow_scheduler_errors.txt sleep 1 done
bash
d_bash_21245
--- +++ @@ -7,7 +7,7 @@ # Look in ~/.oh-my-zsh/themes/ # Optionally, if you set this to "random", it'll load a random theme each # time that oh-my-zsh is loaded. -ZSH_THEME="sorin" +ZSH_THEME="bureau" # Example aliases # alias zshconfig="mate ~/.zshrc"
bash
d_bash_21246
--- +++ @@ -30,6 +30,6 @@ # 2) Get the sources which are downloaded from version control system to local machine to relevant directories to generate the debian package getSourcesToRelevantDirectories $productName # 3) Download hadoop tar file and make necessary changes -downloadHadoopAndMakeChanges $productName +d...
bash
d_bash_21247
--- +++ @@ -6,9 +6,9 @@ docker build --rm -t ${PREFIX}-base base -docker build --rm -t ${PREFIX}-pg-9.3 postgresql/9.3 -docker build --rm -t ${PREFIX}-pg-9.2 postgresql/9.2 -docker build --rm -t ${PREFIX}-pg-9.1 postgresql/9.1 +docker build --rm -t ${PREFIX}-postgres-9.3 postgresql/9.3 +docker build --rm -t ${PR...
bash
d_bash_21248
--- +++ @@ -2,8 +2,8 @@ if [ "$ENV" = "ci" ] then - echo "$GCRYPTKEY" | base64 -d > toxictest-gcrypt.key - git-crypt unlock toxictest-gcrypt.key + echo "$GCRYPTKEY" | base64 -d > ~/toxictest-gcrypt.key + git-crypt unlock ~/toxictest-gcrypt.key fi export DISPLAY=:99
bash
d_bash_21249
--- +++ @@ -21,7 +21,7 @@ mkdir repo ${CMD_PREFIX} ostree --repo=repo init ${CMD_PREFIX} ostree --repo=repo remote add origin $(cat httpd-address)/ostree/gnomerepo -${CMD_PREFIX} ostree-pull --repo=repo origin main +${CMD_PREFIX} ostree --repo=repo pull origin main ${CMD_PREFIX} ostree --repo=repo fsck echo "ok ...
bash
d_bash_21250
--- +++ @@ -23,3 +23,6 @@ ;; esac +# export path for `n` +export N_PREFIX="$HOME/n"; [[ :$PATH: == *":$N_PREFIX/bin:"* ]] || PATH+=":$N_PREFIX/bin" +
bash
d_bash_21251
--- +++ @@ -1,5 +1,11 @@ #!/bin/bash set -eu + +# Check arguments +if [[ $# -eq 0 ]]; then + echo >&2 "Usage: $0 <bar-name>..." + exit 1 +fi # Stop old instances if compgen -G /tmp/polybar_mqueue.*; then
bash
d_bash_21252
--- +++ @@ -31,4 +31,4 @@ fi # run tests -DEBUG=windshaft:renderer:pg_mvt npm test +npm test
bash
d_bash_21253
--- +++ @@ -1,6 +1,2 @@ -BUILD_DIR="/Users/salbahra/WebWorks Projects/sprinklers" - -( cd "$BUILD_DIR/www/"; rm -r * ) -cp -r www/* "$BUILD_DIR/www/" -( cd "$BUILD_DIR"; cordova build --release ) -zip build/blackberry10/com.albahra.sprinklers.zip "$BUILD_DIR/platforms/blackberry10/build/device/bb10app.bar" +cordova b...
bash
d_bash_21254
--- +++ @@ -1,4 +1,18 @@ #!/bin/bash -rsync --archive --progress --human-readable Py-Previz $HOME/Library/Preferences/MAXON/CINEMA\ 4D\ R17_89538A46/plugins -rsync --archive --progress --human-readable /Users/charles/src/previz-exporters/previz/previz $HOME/Library/Preferences/MAXON/CINEMA\ 4D\ R17_89538A46/plugin...
bash
d_bash_21255
--- +++ @@ -1,6 +1,6 @@ -POWERLEVEL9K_LEFT_PROMPT_ELEMENTS=(dir custom_ruby vcs newline status) -POWERLEVEL9K_RIGHT_PROMPT_ELEMENTS=() +POWERLEVEL9K_LEFT_PROMPT_ELEMENTS=(dir chruby vcs newline vi_mode status) +POWERLEVEL9K_RIGHT_PROMPT_ELEMENTS=(time) POWERLEVEL9K_PROMPT_ADD_NEWLINE=true -POWERLEVEL9K_CUSTOM_RUBY="...
bash
d_bash_21256
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash # Install system-wide Python library dependencies -sudo -H python -m pip install -r requirements.txt --upgrade +sudo -H python3 -m pip install -r requirements.txt --upgrade # Some dependencies need to be installed in user space. -python -m pip install --user -r user_requirem...
bash
d_bash_21257
--- +++ @@ -27,3 +27,5 @@ cp "../../../../../Botan License" "Botan License" cp "../../../../../Qt License" "Qt License" 7z a kryvos_${TRAVIS_TAG}_mac.zip Kryvos_${TRAVIS_TAG}.dmg "Release Notes" "README.md" "LICENSE" "Botan License" "Qt License" + +exit 0
bash
d_bash_21258
--- +++ @@ -33,7 +33,7 @@ cp deploy/nginx/latest.conf /etc/nginx/sites-enabled/latest.oscarcommerce.com /etc/init.d/nginx configtest 2> /dev/null && /etc/init.d/nginx force-reload 2> /dev/null -cp deploy/supervisord/latest.conf /etc/supervisor/conf.d/oscar-latest.conf +cp deploy/supervisord/latest.conf /etc/super...
bash
d_bash_21259
--- +++ @@ -2,4 +2,5 @@ npm link npm link madul npm link khaaanfig +npm link volor SKYLL_MADUL_LOGGING=true skyll
bash
d_bash_21260
--- +++ @@ -20,4 +20,4 @@ [ "$2" ] && BUILD_TARGET=$2 -bitbake $BUILD_TARGET +bitbake initramfs-archos-image $BUILD_TARGET
bash
d_bash_21261
--- +++ @@ -8,11 +8,7 @@ initdb /usr/local/var/postgres -E utf8 postgres -D /usr/local/var/postgres elif [[ "$OSTYPE" == "linux-gnu" ]]; then - echo -e "Are you using Ubuntu? (y/n) \c" - read - if [ $REPLY == "y" ]; then - echo "TO DO" - fi + echo "To do" else echo "Unknow OS" ...
bash
d_bash_21262
--- +++ @@ -1,5 +1,20 @@ #!/bin/bash set -e + +# Install OS specific pre-reqs (Better moved to puppet at some point.) +DEBTEST=`lsb_release -a 2> /dev/null | grep Distributor | awk '{print $3}'` +RHTEST=`cat /etc/redhat-release 2> /dev/null | sed -e "s~\(.*\)release.*~\1~g"` + +if [[ -n "$RHTEST" ]]; then + echo "...
bash
d_bash_21263
--- +++ @@ -3,7 +3,9 @@ # read URL from meta.txt url=$(grep '^URL:' ../meta.txt | cut -d' ' -f2) -file="${url##*/}" + +# read file name from meta.txt +file=$(grep '^File:' ../meta.txt | cut -d' ' -f2) # read userAgent from property file . ./userAgent.property.sh @@ -16,4 +18,4 @@ --output "$file" \ "$ur...
bash
d_bash_21264
--- +++ @@ -11,7 +11,8 @@ unset $FIRMWARE fi export FIRMWARE - .travis/generate-prebuilt-list.py + .travis/generate-prebuilt-list.py || return 1 + return 0 } if [ x"$TRAVIS_BRANCH" = x"master" ]; then
bash
d_bash_21265
--- +++ @@ -20,6 +20,10 @@ pg_dump -a -Fc tilex_dev -n public --encoding=utf-8 > tilex.dump + +# Make sure no data exists +heroku pg:psql -c "truncate channels cascade; truncate schema_migrations;" -a tilex + # get the postgres connection string heroku config -a tilex | grep DATABASE_URL
bash
d_bash_21266
--- +++ @@ -15,7 +15,7 @@ pypy get-pip.py pypy -m pip install cffi psycopg2cffi -sed '/psycopg2/d;/MySQL/d;/pysqlite/d' /pycroft/requirements.txt | xargs -a - -n 1 pypy -m pip install +sed '/psycopg2/d;/pysqlite/d' /pycroft/requirements.txt | xargs -a - -n 1 pypy -m pip install echo -e "from psycopg2cffi import ...
bash
d_bash_21267
--- +++ @@ -1,8 +1,15 @@ #!/bin/bash -# Usage: shuffle-pick -w <n> -l <m> -# -# Picks <m> lines of <n> random words each from googlebooks-eng-us-all-1gram-20120701-all-mostFrequent-17bits +help() +{ + cat << EOF +Usage: $me -w <n> -l <m> + +Picks <m> lines of <n> random words each from googlebooks-eng-us-all-1g...
bash
d_bash_21268
--- +++ @@ -3,5 +3,10 @@ wget https://raw.github.com/cspace-puppet/cspace_puppet_bootstrap/master/scripts/bootstrap-cspace-modules.sh chmod u+x bootstrap-cspace-modules.sh sudo ./bootstrap-cspace-modules.sh -y +sudo su cspace +$CSPACE_JEESERVER_HOME/bin/startup.sh +wget https://raw.githubusercontent.com/collection...
bash
d_bash_21269
--- +++ @@ -3,8 +3,9 @@ chroot /mnt/gentoo /bin/bash <<'EOF' cat > /etc/fstab <<'DATA' # <fs> <mount> <type> <opts> <dump/pass> -/dev/sda1 /boot ext2 noauto,noatime 1 2 -/dev/sda4 / ext4 noatime 0 1 -/dev/sda3 none swap sw 0 0 +/dev/sda1 /boot ext2 noauto,noatime 1 2 +/dev/sda2 /boot/efi vfat noauto,noatime...
bash
d_bash_21270
--- +++ @@ -1,10 +1,17 @@ #!/bin/sh set -e -if [ "$TRAVIS_OS_NAME" = "osx" ]; then +if [ -n "${WINDIR}" ]; then + # Give preference to MSYS64 binaries to make timeout command work. + export PATH="/usr/bin:${PATH}" +elif [ "$TRAVIS_OS_NAME" = "osx" ]; then + # On homebrew timeout is aliased as gtimeout. alia...
bash
d_bash_21271
--- +++ @@ -18,8 +18,7 @@ cd release echo "Shallow-cloning release\n" -git clone --quiet --branch=release --depth 1 https://${GITHUB_TOKEN}@github.com/${GH_USER}/${GH_REPO}.git . - +git clone --no-checkout --quiet --branch=release --depth 1 https://${GITHUB_TOKEN}@github.com/${GH_USER}/${GH_REPO}.git . cp -Rf $H...
bash
d_bash_21272
--- +++ @@ -1,13 +1,30 @@ #/bin/sh + +set -e +set -u # This is a helper script to generate required and existing order # of items inside `artifact_descriptors.sls` file. +# Note that duplicates also cause error code in addition to unordered ones. # The search is done for strings (keys) containing GROUP_ID:ART...
bash
d_bash_21273
--- +++ @@ -8,4 +8,5 @@ echo "storage: git" >> $LIT_CONFIG export LUVI_APP=`pwd`/app +luvit down || exit -1 luvit serve || exit -1
bash
d_bash_21274
--- +++ @@ -10,20 +10,16 @@ # See https://github.com/docker/docker/tree/master/experimental # +# Get the Docker hub user/repo so we know how to tag the built images and push +# them to Docker hub. if [ -z "$1" ]; then - - # Filename of this script. - myscript=`basename "$0"` - - echo 'Please enter your Docker...
bash
d_bash_21275
--- +++ @@ -1,2 +1,2 @@ export PACKAGE=mariadb-java-client -export INSTALL_PKGS="mariadb-java-client mariadb-java-client-tests" +export INSTALL_PKGS="mariadb-java-client mariadb-java-client-javadoc mariadb-java-client-tests"
bash
d_bash_21276
--- +++ @@ -5,9 +5,9 @@ QARMC=${QARMC:-"qarmc"} -if [ $# != 1 ]; +if [ $# -lt 1 ]; then - echo "usage: $0 FILE" + echo "usage: $0 FILE starling-args..." exit 1 fi @@ -20,7 +20,7 @@ fi echo "--- STARLING ---" -./starling.sh -shsf $1 | tee $tempfile +./starling.sh -shsf $* | tee $tempfile echo "--- HSF ...
bash
d_bash_21277
--- +++ @@ -1,5 +1,7 @@ #!/bin/bash set -euxo pipefail + +export PATH=/usr/local/bin:$PATH echo $PATH rbenv versions
bash
d_bash_21278
--- +++ @@ -16,7 +16,7 @@ wait) WAIT=1 ;; - help|version) + help|version|foreground) EXPECT_OUTPUT=1 ;; esac
bash
d_bash_21279
--- +++ @@ -1,18 +1,25 @@ #!/bin/bash -e + +# See http://sensuapp.org/docs/0.12/checks +# +# exit code = 0 : OK +# exit code = 1 : WARNING +# exit code = 2 : CRITICAL +# exit code >= 3 : UNKNOWN CHECK_DIRECTORY="$1" if [ ! -d "${CHECK_DIRECTORY}" ]; then - echo "Not a valid directory: ${CHECK_DIRECTORY}"...
bash
d_bash_21280
--- +++ @@ -1,5 +1,5 @@ -export EDITOR='atom' -export VISUAL='atom' +export EDITOR='vi' +export VISUAL='vi' export CLICOLOR=1 export LSCOLORS=dxgadcdcbxdcdcgfdfacad
bash
d_bash_21281
--- +++ @@ -28,6 +28,10 @@ # TESTS time parallel -j $WORKERS -a parallel_tests/specfull.txt 'script/ci/executor.sh {} {%} {#}' || exit 1 +# print logs of first try +echo "PRINT LOGS OF FAILED PARALLEL TESTS (FIRST TRY)" +time cat parallel_tests/*.log + # SECOND TRY script/ci/secondTry.sh || exit 1
bash
d_bash_21282
--- +++ @@ -30,7 +30,7 @@ ln -sfn $reference "$NIX_STATE_DIR"/gcroots/ref nix-store --gc -if test "$(sqlite3 ./test-tmp/db/db.sqlite 'select count(*) from Refs')" -ne 0; then +if [ -n "$(type -p sqlite3)" -a "$(sqlite3 ./test-tmp/db/db.sqlite 'select count(*) from Refs')" -ne 0 ]; then echo "referrers not cl...
bash
d_bash_21283
--- +++ @@ -7,9 +7,9 @@ add-apt-repository -y ppa:ondrej/php apt-get update # Installing php-cli, which is the minimum requirement to run EasyEngine - apt-get -y install php7.2-cli + apt-get -y install php7.3-cli - php_modules=( pcntl curl sqlite3 ) + php_modules=( pcntl curl sqlite3 zip ...
bash
d_bash_21284
--- +++ @@ -13,5 +13,11 @@ echo "=> Enter Mobile project directory" cd /code/mobilefe +echo "=> NPM Install" +npm install + +echo "=> Bower Install" +bower install + echo "=> Run Grunt (this may take a while...)" grunt server
bash
d_bash_21285
--- +++ @@ -24,3 +24,5 @@ alias afind='ack-grep -il' +# Make wildcards work in find command +alias find='noglob find'
bash
d_bash_21286
--- +++ @@ -2,10 +2,10 @@ pkg_name=ant pkg_version=1.9.7 pkg_maintainer='The Habitat Maintainers <humans@habitat.sh>' -pkg_license=('Apache 2') +pkg_license=('Apache-2.0') pkg_source=https://github.com/apache/ant/archive/rel/$pkg_version.tar.gz pkg_shasum=53dbfb13e0e9bf1b34bcbfdf807c1b9df1b89362b176e1e58150906f5...
bash
d_bash_21287
--- +++ @@ -16,4 +16,4 @@ gpg2 --list-secret-keys --with-colons --fingerprint | grep fpr | cut -c 13-52 | xargs -n1 gpg2 --batch --delete-secret-key rm "${LATEST_PROD_DUMP}" -psql --variable bcrypt_password="'$(${VIRTUALENV_ROOT}/bin/python ./scripts/generate-bcrypt-hashed-password.py Password1234 12)'" "${POSTGR...
bash
d_bash_21288
--- +++ @@ -15,7 +15,7 @@ elif [ "$1" == "-l" ]; then grep 127.0.0.1 /etc/hosts | grep -Ev 'xip.io|localhost' | awk '{print $2}' exit 0 -elif [ "$1" == "-nginx" ]; then +elif [ "$1" == "--nginx" ]; then ruby manginx.rb exit 0 fi
bash
d_bash_21289
--- +++ @@ -6,3 +6,6 @@ # They are present under ~/Developer/drivers/samsung/ sudo apt-get install calibre gaphor curl synaptic + +# in order to install `dropbox`, use the following command: +# $ cd ~ && wget -O - "https://www.dropbox.com/download?plat=lnx.x86_64" | tar xzf -
bash
d_bash_21290
--- +++ @@ -5,10 +5,10 @@ # That breaks latex-suite mac specifics if [ "$(uname -s)" = "Darwin" ]; then brew reinstall neovim - sudo pip3 install neovim elif [[ "$(lsb_release -i)" == *"Ubuntu"* ]]; then sudo snap install --beta nvim --classic fi +sudo pip3 install pynvim # update packages in Plug # in...
bash
d_bash_21291
--- +++ @@ -3,6 +3,6 @@ ARCH=$(uname -m) LOCAL="$HOME/usr/pkgsrc/packages" REMOTE="s3://minipkg.eliteraspberries.com/packages" -OPTS="--acl public-read --cache-control 'max-age=3600'" +OPTS="--acl public-read --cache-control max-age=86400" aws s3 cp $OPTS $LOCAL/pkg_summary.gz $REMOTE/$SYS/$ARCH/ aws s3 cp --rec...
bash
d_bash_21292
--- +++ @@ -43,6 +43,9 @@ echo "export $var='$val'" >> $dst fi done +for var in $PATH_ADDITIONS ; do + echo "export PATH=$var:\$PATH" >> $dst +done cat >> $dst <<EOF $runtime/bin/perl $src "\$@" EOF
bash
d_bash_21293
--- +++ @@ -21,7 +21,7 @@ # master and run. echo "Downloading release ($MASTER_RELEASE_TAR)" -until gsutil cp $MASTER_RELEASE_TAR master-release.tgz; do sleep 1 ; echo "Retrying master download" ; done +gsutil cp $MASTER_RELEASE_TAR master-release.tgz echo "Unpacking release"
bash
d_bash_21294
--- +++ @@ -42,7 +42,7 @@ go mod vendor git add . git commit --allow-empty -m "Updating plugin deps" -if [ ! -z $PUSH_COMMITS ] +if [ ! -z $PUSH_VAULT_COMMIT ] then git push fi
bash
d_bash_21295
--- +++ @@ -8,7 +8,7 @@ test_fetch() { local key="1.8.7" - local expected="1.8.7-p371" + local expected="1.8.7-p374" local value=$(fetch "$RUBY/versions" "$key") assertEquals "did not fetch the correct value" "$expected" "$value" @@ -16,8 +16,8 @@ test_fetch_with_excess_whitespace() { - local key="ruby-...
bash
d_bash_21296
--- +++ @@ -35,8 +35,6 @@ getLogMsg(){ local _message=$(StringUtil capitalize ${2}) - local time=$(CalendarUtil getTimestamp log) - local color=null if [[ $(BaseComparator isEqualIgnoreCase ${1} error) ]]; then @@ -45,7 +43,7 @@ local color=yellow fi - echo -e "${time} [ $(_formatLogLevel ${...
bash
d_bash_21297
--- +++ @@ -17,15 +17,15 @@ export JX_NPM_JXB cd `dirname $0` -node validateBuildEnvironment.js cd ../../test/TestServer -jx npm install +jx npm install --no-optional jx generateServerAddress.js cd ../../thali jx npm install --no-optional jx npm link cd install jx npm install +node validateBuildEnvironment...
bash
d_bash_21298
--- +++ @@ -10,11 +10,11 @@ if [ "$FOO" = "foo" ]; then echo 2 >> ./env-record export BAR=bar - dinitctl -p socket setenv BAR BAZ=baz + ../../dinitctl -p socket setenv BAR BAZ=baz fi ;; setenv3) - dinitctl -p socket setenv FOO=foo ...
bash
d_bash_21299
--- +++ @@ -1,8 +1,14 @@ #! /usr/bin/env bash -mkdir --parents ./groovebackup/ -wget --load-cookies cookies.txt \ - --output-file=wget.log \ - --directory-prefix=groovebackup/ \ - --recursive --convert-links --server-response http://groovebackup.com/home \ - --reject index.html?lang=de,index.html?lang=dk,index.htm...
bash